package rition.backend.api.v1.dto.response;

import lombok.Getter;
import lombok.Setter;

import java.util.UUID;

@Getter
@Setter
public class ResponseWithRequestId<T> extends Response<T> {

    private String requestId;

    /**
     * @param code    响应码
     * @param message 响应信息
     * @param data    响应数据
     */
    public ResponseWithRequestId(int code, String message, T data) {
        super(code, message, data);
    }

    public ResponseWithRequestId(Response<T> response) {
        super(response);
    }

    public String initUUID() {
        this.requestId = UUID.randomUUID().toString();
        return this.requestId;
    }

    public static <T> ResponseWithRequestId<T> from(Response<T> originResponse) {
        var response = new ResponseWithRequestId<>(originResponse);
        response.initUUID();
        return response;
    }
}
