package rition.common.exception.code;

import lombok.Getter;

@Getter
public enum ServiceCode {
    // common
    Ok(0, "成功"),

    ApiNotImplement(10_00_00, "接口未实现"),
    RequestTooFast(10_00_01, "请求过快"),
    InvalidRequest(10_00_02, "非法请求"),
    ParamWrong(10_00_03, "参数错误"),
    PermissionDenied(10_00_04, "权限不足"),
    TokenInvalid(10_00_05, "用户凭据无效，登录态失效"),
    UnknownErr(10_00_06, "服务器内部错误");

    private final int code;

    private final String msg;

    ServiceCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ServiceCode valueOf(int code) {
        for (var serviceCode : ServiceCode.values()) {
            if (serviceCode.code == code) {
                return serviceCode;
            }
        }

        return null;
    }
}
