package probe

import (
	"github.com/shirou/gopsutil/v3/net"
)

func (p *Probe) GetNetworkCounterAll() []net.IOCountersStat {
	stats, _ := net.IOCounters(true)
	return stats
}

func (p *Probe) GetNetworkCounterOne(name string) (net.IOCountersStat, []net.ConnectionStat) {
	ioCounters, _ := net.IOCounters(true)
	tcpConnStat, _ := net.Connections("tcp")
	for _, stat := range ioCounters {
		if stat.Name == name {
			return stat, tcpConnStat
		}
	}

	return net.IOCountersStat{}, tcpConnStat
}
